XCB 1.8.1

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

xc_misc.h
1 /*
2 * This file generated automatically from xc_misc.xml by c_client.py.
3 * Edit at your peril.
4 */
5
12 #ifndef __XC_MISC_H
13 #define __XC_MISC_H
14
15 #include "xcb.h"
16
17 #ifdef __cplusplus
18 extern "C" {
19 #endif
20
21 #define XCB_XCMISC_MAJOR_VERSION 1
22 #define XCB_XCMISC_MINOR_VERSION 1
23
24 extern xcb_extension_t xcb_xc_misc_id;
25
29 typedef struct xcb_xc_misc_get_version_cookie_t {
30 unsigned int sequence;
31 } xcb_xc_misc_get_version_cookie_t;
32
34 #define XCB_XC_MISC_GET_VERSION 0
35
39 typedef struct xcb_xc_misc_get_version_request_t {
40 uint8_t major_opcode;
41 uint8_t minor_opcode;
42 uint16_t length;
43 uint16_t client_major_version;
44 uint16_t client_minor_version;
45 } xcb_xc_misc_get_version_request_t;
46
50 typedef struct xcb_xc_misc_get_version_reply_t {
51 uint8_t response_type;
52 uint8_t pad0;
53 uint16_t sequence;
54 uint32_t length;
55 uint16_t server_major_version;
56 uint16_t server_minor_version;
57 } xcb_xc_misc_get_version_reply_t;
58
62 typedef struct xcb_xc_misc_get_xid_range_cookie_t {
63 unsigned int sequence;
64 } xcb_xc_misc_get_xid_range_cookie_t;
65
67 #define XCB_XC_MISC_GET_XID_RANGE 1
68
72 typedef struct xcb_xc_misc_get_xid_range_request_t {
73 uint8_t major_opcode;
74 uint8_t minor_opcode;
75 uint16_t length;
76 } xcb_xc_misc_get_xid_range_request_t;
77
81 typedef struct xcb_xc_misc_get_xid_range_reply_t {
82 uint8_t response_type;
83 uint8_t pad0;
84 uint16_t sequence;
85 uint32_t length;
86 uint32_t start_id;
87 uint32_t count;
88 } xcb_xc_misc_get_xid_range_reply_t;
89
93 typedef struct xcb_xc_misc_get_xid_list_cookie_t {
94 unsigned int sequence;
95 } xcb_xc_misc_get_xid_list_cookie_t;
96
98 #define XCB_XC_MISC_GET_XID_LIST 2
99
103 typedef struct xcb_xc_misc_get_xid_list_request_t {
104 uint8_t major_opcode;
105 uint8_t minor_opcode;
106 uint16_t length;
107 uint32_t count;
108 } xcb_xc_misc_get_xid_list_request_t;
109
113 typedef struct xcb_xc_misc_get_xid_list_reply_t {
114 uint8_t response_type;
115 uint8_t pad0;
116 uint16_t sequence;
117 uint32_t length;
118 uint32_t ids_len;
119 uint8_t pad1[20];
120 } xcb_xc_misc_get_xid_list_reply_t;
121
131 /*****************************************************************************
132 **
133 ** xcb_xc_misc_get_version_cookie_t xcb_xc_misc_get_version
134 **
135 ** @param xcb_connection_t *c
136 ** @param uint16_t client_major_version
137 ** @param uint16_t client_minor_version
138 ** @returns xcb_xc_misc_get_version_cookie_t
139 **
140 *****************************************************************************/
141
142 xcb_xc_misc_get_version_cookie_t
143 xcb_xc_misc_get_version (xcb_connection_t *c ,
144 uint16_t client_major_version ,
145 uint16_t client_minor_version );
146
159 /*****************************************************************************
160 **
161 ** xcb_xc_misc_get_version_cookie_t xcb_xc_misc_get_version_unchecked
162 **
163 ** @param xcb_connection_t *c
164 ** @param uint16_t client_major_version
165 ** @param uint16_t client_minor_version
166 ** @returns xcb_xc_misc_get_version_cookie_t
167 **
168 *****************************************************************************/
169
170 xcb_xc_misc_get_version_cookie_t
171 xcb_xc_misc_get_version_unchecked (xcb_connection_t *c ,
172 uint16_t client_major_version ,
173 uint16_t client_minor_version );
174
190 /*****************************************************************************
191 **
192 ** xcb_xc_misc_get_version_reply_t * xcb_xc_misc_get_version_reply
193 **
194 ** @param xcb_connection_t *c
195 ** @param xcb_xc_misc_get_version_cookie_t cookie
196 ** @param xcb_generic_error_t **e
197 ** @returns xcb_xc_misc_get_version_reply_t *
198 **
199 *****************************************************************************/
200
201 xcb_xc_misc_get_version_reply_t *
202 xcb_xc_misc_get_version_reply (xcb_connection_t *c ,
203 xcb_xc_misc_get_version_cookie_t cookie ,
204 xcb_generic_error_t **e );
205
215 /*****************************************************************************
216 **
217 ** xcb_xc_misc_get_xid_range_cookie_t xcb_xc_misc_get_xid_range
218 **
219 ** @param xcb_connection_t *c
220 ** @returns xcb_xc_misc_get_xid_range_cookie_t
221 **
222 *****************************************************************************/
223
224 xcb_xc_misc_get_xid_range_cookie_t
225 xcb_xc_misc_get_xid_range (xcb_connection_t *c );
226
239 /*****************************************************************************
240 **
241 ** xcb_xc_misc_get_xid_range_cookie_t xcb_xc_misc_get_xid_range_unchecked
242 **
243 ** @param xcb_connection_t *c
244 ** @returns xcb_xc_misc_get_xid_range_cookie_t
245 **
246 *****************************************************************************/
247
248 xcb_xc_misc_get_xid_range_cookie_t
249 xcb_xc_misc_get_xid_range_unchecked (xcb_connection_t *c );
250
266 /*****************************************************************************
267 **
268 ** xcb_xc_misc_get_xid_range_reply_t * xcb_xc_misc_get_xid_range_reply
269 **
270 ** @param xcb_connection_t *c
271 ** @param xcb_xc_misc_get_xid_range_cookie_t cookie
272 ** @param xcb_generic_error_t **e
273 ** @returns xcb_xc_misc_get_xid_range_reply_t *
274 **
275 *****************************************************************************/
276
277 xcb_xc_misc_get_xid_range_reply_t *
278 xcb_xc_misc_get_xid_range_reply (xcb_connection_t *c ,
279 xcb_xc_misc_get_xid_range_cookie_t cookie ,
280 xcb_generic_error_t **e );
281
282 int
283 xcb_xc_misc_get_xid_list_sizeof (const void *_buffer );
284
294 /*****************************************************************************
295 **
296 ** xcb_xc_misc_get_xid_list_cookie_t xcb_xc_misc_get_xid_list
297 **
298 ** @param xcb_connection_t *c
299 ** @param uint32_t count
300 ** @returns xcb_xc_misc_get_xid_list_cookie_t
301 **
302 *****************************************************************************/
303
304 xcb_xc_misc_get_xid_list_cookie_t
305 xcb_xc_misc_get_xid_list (xcb_connection_t *c ,
306 uint32_t count );
307
320 /*****************************************************************************
321 **
322 ** xcb_xc_misc_get_xid_list_cookie_t xcb_xc_misc_get_xid_list_unchecked
323 **
324 ** @param xcb_connection_t *c
325 ** @param uint32_t count
326 ** @returns xcb_xc_misc_get_xid_list_cookie_t
327 **
328 *****************************************************************************/
329
330 xcb_xc_misc_get_xid_list_cookie_t
331 xcb_xc_misc_get_xid_list_unchecked (xcb_connection_t *c ,
332 uint32_t count );
333
334
335 /*****************************************************************************
336 **
337 ** uint32_t * xcb_xc_misc_get_xid_list_ids
338 **
339 ** @param const xcb_xc_misc_get_xid_list_reply_t *R
340 ** @returns uint32_t *
341 **
342 *****************************************************************************/
343
344 uint32_t *
345 xcb_xc_misc_get_xid_list_ids (const xcb_xc_misc_get_xid_list_reply_t *R );
346
347
348 /*****************************************************************************
349 **
350 ** int xcb_xc_misc_get_xid_list_ids_length
351 **
352 ** @param const xcb_xc_misc_get_xid_list_reply_t *R
353 ** @returns int
354 **
355 *****************************************************************************/
356
357 int
358 xcb_xc_misc_get_xid_list_ids_length (const xcb_xc_misc_get_xid_list_reply_t *R );
359
360
361 /*****************************************************************************
362 **
363 ** xcb_generic_iterator_t xcb_xc_misc_get_xid_list_ids_end
364 **
365 ** @param const xcb_xc_misc_get_xid_list_reply_t *R
366 ** @returns xcb_generic_iterator_t
367 **
368 *****************************************************************************/
369
370 xcb_generic_iterator_t
371 xcb_xc_misc_get_xid_list_ids_end (const xcb_xc_misc_get_xid_list_reply_t *R );
372
388 /*****************************************************************************
389 **
390 ** xcb_xc_misc_get_xid_list_reply_t * xcb_xc_misc_get_xid_list_reply
391 **
392 ** @param xcb_connection_t *c
393 ** @param xcb_xc_misc_get_xid_list_cookie_t cookie
394 ** @param xcb_generic_error_t **e
395 ** @returns xcb_xc_misc_get_xid_list_reply_t *
396 **
397 *****************************************************************************/
398
399 xcb_xc_misc_get_xid_list_reply_t *
400 xcb_xc_misc_get_xid_list_reply (xcb_connection_t *c ,
401 xcb_xc_misc_get_xid_list_cookie_t cookie ,
402 xcb_generic_error_t **e );
403
404
405 #ifdef __cplusplus
406 }
407 #endif
408
409 #endif
410